Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## orarend
Class RosszIdopont

    java.lang.Object
      orarend.RosszIdopont

    public class RosszIdopont

extends java.lang.Object

Rossz időpontok osztálya

Author:
  Csipkés László

Field Summary
`private java.lang.String` | `nap`
`private java.util.Vector<java.lang.Integer>` | `ora`

Constructor Summary
`RosszIdopont()`
`RosszIdopont(java.lang.String nap)` Konstruktor, mely az adott nap összes óráját eltárolja rossz időpontként
`RosszIdopont(java.lang.String nap, java.lang.Integer ora)` Konstruktor, mely az adott nap adott óráját eltárolja rossz időpontként

Method Summary
`java.lang.String` | `getNap()`
`
`<Integer> java.util.Vector`
` | `getOra()`
`void` | `setNap(java.lang.String napnev)`
`void` | `setOra(java.lang.Integer hanyadik_ora)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### nap

    private java.lang.String nap

### ora

    private java.util.Vector<java.lang.Integer> ora

Constructor Detail

### RosszIdopont

    public RosszIdopont()

### RosszIdopont

    public RosszIdopont(java.lang.String nap)

  Konstruktor, mely az adott nap összes óráját eltárolja rossz időpontként

  Parameters:
    `nap` - napnév

### RosszIdopont

    public RosszIdopont(java.lang.String nap,
                        java.lang.Integer ora)

  Konstruktor, mely az adott nap adott óráját eltárolja rossz időpontként

  Parameters:
    `nap` - napnév

Method Detail

### setNap

    public void setNap(java.lang.String napnev)

### setOra

    public void setOra(java.lang.Integer hanyadik_ora)

### getNap

    public java.lang.String getNap()

### getOra

    public <Integer> java.util.Vector getOra()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD